Package org.drinkless.tdlib

# Class TdApi.NotificationTypeNewPushMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.NotificationType
org.drinkless.tdlib.TdApi.NotificationTypeNewPushMessage

Enclosing class:
  `TdApi`

public static class TdApi.NotificationTypeNewPushMessage extends TdApi.NotificationType
New message was received through a push notification.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.NotificationType

  `TdApi.NotificationType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PushMessageContent`
  `content`
  Push message content.
  `boolean`
  `isOutgoing`
  True, if the message is outgoing.
  `long`
  `messageId`
  The message identifier.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the message.
  `String`
  `senderName`
  Name of the sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotificationTypeNewPushMessage()`
  New message was received through a push notification.
  `NotificationTypeNewPushMessage(long messageId, TdApi.MessageSender senderId, String senderName, boolean isOutgoing, TdApi.PushMessageContent content)`
  New message was received through a push notification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageId

    public long messageId
    The message identifier. The message will not be available in the chat history, but the identifier can be used in viewMessages, or as a message to be replied in the same chat.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of the message. Corresponding user or chat may be inaccessible.

  - ### senderName

    public String senderName
    Name of the sender.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the message is outgoing.

  - ### content

    public TdApi.PushMessageContent content
    Push message content.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NotificationTypeNewPushMessage

    public NotificationTypeNewPushMessage()
    New message was received through a push notification.

  - ### NotificationTypeNewPushMessage

    public NotificationTypeNewPushMessage(long messageId, TdApi.MessageSender senderId, String senderName, boolean isOutgoing, TdApi.PushMessageContent content)
    New message was received through a push notification.
    Parameters:
      `messageId` - The message identifier. The message will not be available in the chat history, but the identifier can be used in viewMessages, or as a message to be replied in the same chat.
      `senderId` - Identifier of the sender of the message. Corresponding user or chat may be inaccessible.
      `senderName` - Name of the sender.
      `isOutgoing` - True, if the message is outgoing.
      `content` - Push message content.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.NotificationType`
    Returns:
      this.CONSTRUCTOR